VTK: vtkRendererNode Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkRendererNode Class Reference

vtkViewNode specialized for vtkRenderers More...

`#include <vtkRendererNode.h>`

Inheritance diagram for vtkRendererNode:
[legend]
Collaboration diagram for vtkRendererNode:
[legend]

## Public Types
typedef vtkViewNode | Superclass
Public Types inherited from vtkViewNode
enum | operation_type { noop , build , synchronize , render , invalidate }
| internal mechanics of graph traversal and actions More...
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkRendererNode * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | Build (bool prepass) override
| Build containers for our child nodes. More...
virtual int * | GetSize ()
| Get/Set the framebuffer size. More...
virtual void | GetSize (int &, int &)
virtual void | GetSize (int[2])
virtual void | SetSize (int, int)
void | SetSize (int[2])
virtual double * | GetViewport ()
| Get/Set the window viewport. More...
virtual void | GetViewport (double &, double &, double &, double &)
virtual void | GetViewport (double[4])
virtual void | SetViewport (double, double, double, double)
virtual void | SetViewport (double[4])
virtual int * | GetScale ()
| Get/Set the window tile scale. More...
virtual void | GetScale (int &, int &)
virtual void | GetScale (int[2])
virtual void | SetScale (int, int)
void | SetScale (int[2])
Public Member Functions inherited from vtkViewNode
vtkViewNode * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | Synchronize (bool)
| Ensures that my state agrees with my Renderable's. More...
virtual void | Render (bool)
| Makes calls to make self visible. More...
virtual void | Invalidate (bool)
| Clear any cached data. More...
vtkViewNode * | GetViewNodeFor (vtkObject *)
| Returns the view node that corresponding to the provided object Will return NULL if a match is not found in self or descendents. More...
vtkViewNode * | GetFirstAncestorOfType (const char *type)
| Find the first parent/grandparent of the desired type. More...
vtkViewNode * | GetFirstChildOfType (const char *type)
| Find the first child of the desired type. More...
virtual void | SetRenderable (vtkObject *)
| Allow explicit setting of the renderable for a view node. More...
virtual void | Traverse (int operation)
virtual void | TraverseAllPasses ()
virtual vtkObject * | GetRenderable ()
| This is the VTK class that this node stands in for. More...
virtual void | SetParent (vtkViewNode *)
| Access the node that owns this one. More...
virtual vtkViewNode * | GetParent ()
| Access the node that owns this one. More...
virtual std::list< vtkViewNode * > const & | GetChildren ()
| Access nodes that this one owns. More...
virtual void | SetMyFactory (vtkViewNodeFactory *)
| A factory that creates particular subclasses for different rendering back ends. More...
virtual vtkViewNodeFactory * | GetMyFactory ()
| A factory that creates particular subclasses for different rendering back ends. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkRendererNode * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkRendererNode * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkViewNode
static vtkTypeBool | IsTypeOf (const char *type)
static vtkViewNode * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkRendererNode ()
| ~vtkRendererNode () override
Protected Member Functions inherited from vtkViewNode
| vtkViewNode ()
| ~vtkViewNode () override
virtual void | Apply (int operation, bool prepass)
void | RemoveUnusedNodes ()
| Called after PrepareNodes and AddMissingNodes removes any extra leftover nodes. More...
virtual vtkViewNode * | CreateViewNode (vtkObject *obj)
| Create the correct ViewNode subclass for the passed in object. More...
void | AddMissingNode (vtkObject *obj)
| convenience method to add node or nodes if missing from our current list More...
void | AddMissingNodes (vtkCollection *col)
| convenience method to add node or nodes if missing from our current list More...
void | PrepareNodes ()
| Called first before adding missing nodes. More...
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
int | Size [2]
double | Viewport [4]
int | Scale [2]
Protected Attributes inherited from vtkViewNode
vtkObject * | Renderable
vtkWeakPointer< vtkViewNode > | Parent
std::list< vtkViewNode * > | Children
vtkViewNodeFactory * | MyFactory
std::map< vtkObject *, vtkViewNode * > | Renderables
bool | Used
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Additional Inherited Members
Public Attributes inherited from vtkViewNode
vtkMTimeType | RenderTime
| Allows smart caching. More...
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()
Static Protected Attributes inherited from vtkViewNode
static const char * | operation_type_strings []

## Detailed Description

vtkViewNode specialized for vtkRenderers

State storage and graph traversal for vtkRenderer

Tests:
  vtkRendererNode (Tests)

Definition at line 22 of file vtkRendererNode.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkViewNode vtkRendererNode::Superclass

Definition at line 26 of file vtkRendererNode.h.

## Constructor & Destructor Documentation

## ◆ vtkRendererNode()

vtkRendererNode::vtkRendererNode | ( |  | ) |
| protected

## ◆ ~vtkRendererNode()

vtkRendererNode::~vtkRendererNode | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkRendererNode* vtkRendererNode::New | ( |  | ) |
| static

## ◆ IsTypeOf()

static vtkTypeBool vtkRendererNode::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkRendererNode::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkViewNode.

Reimplemented in vtkOSPRayRendererNode.

## ◆ SafeDownCast()

static vtkRendererNode* vtkRendererNode::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkRendererNode::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkViewNode.

Reimplemented in vtkOSPRayRendererNode.

## ◆ NewInstance()

vtkRendererNode* vtkRendererNode::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkRendererNode::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkObject.

## ◆ Build()

void vtkRendererNode::Build | ( | bool | prepass | ) |
| overridevirtual

Build containers for our child nodes.

Reimplemented from vtkViewNode.

## ◆ GetSize() [1/3]

virtual int* vtkRendererNode::GetSize | ( |  | ) |
| virtual

Get/Set the framebuffer size.

## ◆ GetSize() [2/3]

virtual void vtkRendererNode::GetSize | ( | int & | ,
|  | int & |
| ) |  |
| virtual

## ◆ GetSize() [3/3]

virtual void vtkRendererNode::GetSize | ( | int | [2] | ) |
| virtual

## ◆ SetSize() [1/2]

virtual void vtkRendererNode::SetSize | ( | int | ,
|  | int |
| ) |  |
| virtual

## ◆ SetSize() [2/2]

void vtkRendererNode::SetSize | ( | int | [2] | ) |

## ◆ GetViewport() [1/3]

virtual double* vtkRendererNode::GetViewport | ( |  | ) |
| virtual

Get/Set the window viewport.

## ◆ GetViewport() [2/3]

virtual void vtkRendererNode::GetViewport | ( | double & | ,
|  | double & | ,
|  | double & | ,
|  | double & |
| ) |  |
| virtual

## ◆ GetViewport() [3/3]

virtual void vtkRendererNode::GetViewport | ( | double | [4] | ) |
| virtual

## ◆ SetViewport() [1/2]

virtual void vtkRendererNode::SetViewport | ( | double | ,
|  | double | ,
|  | double | ,
|  | double |
| ) |  |
| virtual

## ◆ SetViewport() [2/2]

virtual void vtkRendererNode::SetViewport | ( | double | [4] | ) |
| virtual

## ◆ GetScale() [1/3]

virtual int* vtkRendererNode::GetScale | ( |  | ) |
| virtual

Get/Set the window tile scale.

## ◆ GetScale() [2/3]

virtual void vtkRendererNode::GetScale | ( | int & | ,
|  | int & |
| ) |  |
| virtual

## ◆ GetScale() [3/3]

virtual void vtkRendererNode::GetScale | ( | int | [2] | ) |
| virtual

## ◆ SetScale() [1/2]

virtual void vtkRendererNode::SetScale | ( | int | ,
|  | int |
| ) |  |
| virtual

## ◆ SetScale() [2/2]

void vtkRendererNode::SetScale | ( | int | [2] | ) |

## Member Data Documentation

## ◆ Size

int vtkRendererNode::Size[2]
| protected

Definition at line 56 of file vtkRendererNode.h.

## ◆ Viewport

double vtkRendererNode::Viewport[4]
| protected

Definition at line 57 of file vtkRendererNode.h.

## ◆ Scale

int vtkRendererNode::Scale[2]
| protected

Definition at line 58 of file vtkRendererNode.h.

The documentation for this class was generated from the following file:

- Rendering/SceneGraph/vtkRendererNode.h